Servlet 3.0 - Apache Tomcat 7.0.42

## javax.servlet
Class HttpMethodConstraintElement

    java.lang.Object
      javax.servlet.HttpConstraintElement
          javax.servlet.HttpMethodConstraintElement

    public class HttpMethodConstraintElement

extends HttpConstraintElement

Since:
  Servlet 3.0 TODO SERVLET3 - Add comments

Constructor Summary
`HttpMethodConstraintElement(java.lang.String methodName)`
`HttpMethodConstraintElement(java.lang.String methodName, HttpConstraintElement constraint)`

Method Summary
`java.lang.String` `getMethodName()`

Methods inherited from class javax.servlet.HttpConstraintElement
`getEmptyRoleSemantic, getRolesAllowed, getTransportGuarantee`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpMethodConstraintElement

    public HttpMethodConstraintElement(java.lang.String methodName)

### HttpMethodConstraintElement

    public HttpMethodConstraintElement(java.lang.String methodName,
                                       HttpConstraintElement constraint)

Method Detail

### getMethodName

    public java.lang.String getMethodName()

Servlet 3.0 - Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.